<mat-card class="card">
  <mat-card-title>{{pageTitle}}</mat-card-title>
  <mat-card-content class="card__content" fxLayout="row wrap" fxLayoutGap.gt-sm="20px" fxLayoutAlign="center start">
    <img fxFlexAlign="start" class="card__content__image" [src]="variant?.image" alt="Photo of the Product">
    <div fxLayout="column" fxFlex="70">
      <div fxLayout.gt-xs="row" class="card__content__item">
        <div fxFlex="1 0 25%" class="card__content__item__title">Name:</div>
        <div fxFlex="1 1 75%">{{variant?.title}}</div>
      </div>
      <div fxLayout.gt-xs="row" class="card__content__item">
        <div fxFlex="1 0 25%" class="card__content__item__title">Price:</div>
        <div fxFlex="1 1 75%">{{variant?.price}} USDC</div>
      </div>
      <pm-add-to-cart [product]="product" (addToCartClicked)="addToCart($event)"
        (variantChanged)="variantChanged($event)">
      </pm-add-to-cart>
    </div>
  </mat-card-content>
</mat-card>
